Bug 202686 - [MAINTAINER] print/cups-filters: update to 1.0.76
Summary: [MAINTAINER] print/cups-filters: update to 1.0.76
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-27 03:05 UTC by Naram Qashat
Modified: 2015-09-24 18:19 UTC (History)
0 users

See Also:


Attachments
cups-filters-1.0.73.patch (4.43 KB, patch)
2015-08-27 03:05 UTC, Naram Qashat
no flags Details | Diff
Poudriere log (123.08 KB, text/plain)
2015-08-27 03:05 UTC, Naram Qashat
no flags Details
cups-filters-1.0.74.patch (4.43 KB, patch)
2015-08-29 15:47 UTC, Naram Qashat
no flags Details | Diff
Poudriere log (123.35 KB, text/plain)
2015-08-29 15:47 UTC, Naram Qashat
no flags Details
cups-filters-1.0.76.patch (4.33 KB, patch)
2015-09-13 15:56 UTC, Naram Qashat
no flags Details | Diff
Poudriere log (128.08 KB, text/plain)
2015-09-13 15:56 UTC, Naram Qashat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2015-08-27 03:05:04 UTC
Created attachment 160391 [details]
cups-filters-1.0.73.patch

Update to 1.0.73. The poppler patch was removed as it was part of the (unreleased) 1.0.72. It also needs to use gmake or the build fails. I have allowed it to be JOBS safe, but I am not 100% sure if my poudriere test was done properly to make sure it really is JOBS safe.

Poudriere log in the next reply.
Comment 1 Naram Qashat 2015-08-27 03:05:21 UTC
Created attachment 160392 [details]
Poudriere log
Comment 2 Naram Qashat 2015-08-29 15:47:04 UTC
Created attachment 160492 [details]
cups-filters-1.0.74.patch

Going to replace the existing patch with one for 1.0.74, as that was released earlier this week after I had already sent in the 1.0.73 update. I will also update the poudriere log for this as well.
Comment 3 Naram Qashat 2015-08-29 15:47:23 UTC
Created attachment 160493 [details]
Poudriere log
Comment 4 Naram Qashat 2015-09-13 15:56:31 UTC
Created attachment 160971 [details]
cups-filters-1.0.76.patch

Changing the patch to update to cups-filters 1.0.76.
Comment 5 Naram Qashat 2015-09-13 15:56:53 UTC
Created attachment 160972 [details]
Poudriere log
Comment 6 commit-hook freebsd_committer 2015-09-24 18:11:38 UTC
A commit references this bug:

Author: jbeich
Date: Thu Sep 24 18:11:26 UTC 2015
New revision: 397705
URL: https://svnweb.freebsd.org/changeset/ports/397705

Log:
  print/cups-filters: update to 1.0.76

  - Drop MAKE_JOBS_UNSAFE after testing with -j32 on Core2 Quad

  Changes:	/usr/local/share/doc/cups-filters/NEWS
  PR:		202686
  Submitted by:	Naram Qashat cyberbotx@cyberbotx.com (maintainer)

Changes:
  head/print/cups-filters/Makefile
  head/print/cups-filters/distinfo
  head/print/cups-filters/files/patch-filter_pdftops.c
  head/print/cups-filters/files/patch-poppler-0.34
  head/print/cups-filters/pkg-plist
Comment 7 Jan Beich freebsd_committer 2015-09-24 18:19:32 UTC
Thanks. Committed.